## List External Mappings for External Entity

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/externalmappings/externalid/{system}/{externalTable}/{externalId} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/externalmappings/externalid/{system}/{externalTable}/{externalId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/externalmappings/externalid/{system}/{externalTable}/{externalId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

**200**

```json
{
  "data": [
    {
      "id": "<string>",
      "m3terEntity": "Account",
      "m3terId": "00000000-0000-0000-0000-000000000000",
      "externalSystem": "Stripe",
      "externalTable": "Customer",
      "externalId": "cus_00000000000000",
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "integrationConfigId": "00000000-0000-0000-0000-000000000000"
    }
  ],
  "nextToken": "<string>"
}
```

**4XX**

```json
{
  "message": "<string>"
}
```

**5XX**

```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization
- **Type**: `string`
- **In**: `header`
- **Required**: Yes

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: string, required - The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.
- **system**: string, required - The identifier for the external system.
- **externalTable**: string, required - The identifier for the external table.
- **externalId**: string, required - The unique identifier (UUID) for the external entity.

### Query Parameters

- **pageSize**: integer<int32> - Specifies the maximum number of External Mappings to retrieve per page. Required range: `1 <= x <= 200`
- **nextToken**: string - The `nextToken` for multi-page retrievals. It is used to fetch the next page of External Mappings in a paginated list.

### Response

**200**
- **Content-Type**: application/json - Returns the list of External Mapping entities for the external entity.

**Response Fields**:
- **data**: object[]
- **nextToken**: string
